package com.xm.test.myfilemaster.model

data class GlobalConfig(
    val cacheTime: Int,
    val rateWindowInterval: Int,
    val buyInsertInterval: Int,
    val natureInsertInterval: Int,
    val notDialogInterval: Int
)

data class PushManagement(
    val pushShow: Int,
    val newUserAvoidTime: Int,
    val allPushInterval: Int,
    val oPushInterval: Int,
    val pushCircleOrder: List<Int>,
    val scenePush: List<Int>
)

data class AdsCfg(
    val adOpen: AdInfo,
    val adInsertBattery: AdInfo
)

data class AdInfo(
    val isShow: Boolean,
    val showInterval: Int,
    val newUserAvoidTime: Int,
    val unitId: String,
    val type: String,
    val openAdIsShow: Int,
    val loadingPageTime: Int
)

data class PushCfg(
    val batteryPush: PushInfo,
    val batteryLowBoost: PushInfo
)

data class PushInfo(
    val pushStayTime: Int,
    val lastUseInterval: Int,
    val featureEx1: Int,
    val pushInterval: Int
)

data class Result(
    val data: Data
)

data class Data(
    val globalConfig: GlobalConfig,
    val pushManagement: PushManagement,
    val adsCfg: AdsCfg,
    val pushCfg: PushCfg
)

data class AdConfigData(
    val status: Int,
    val msg: String,
    val sign: String,
    val result: Result,
    val extras: Any?,
    val enc: Any?,
    val security: String
)

